﻿

namespace IRaCIS.Core.Domain.Share
{
    public enum ReadingCategory
    {
        //访视
        Visit = 1,

        ////阅片周期
        //ReadingPeriod = 2,

        //全局
        Global = 3,

        //裁判
        Judge = 4,

        /// <summary>
        /// 肿瘤学
        /// </summary>
        Oncology = 5,



        ReReading = 6,
    }

    public enum TaskAllocationState
    {
        //未分配
        NotAllocate = 0,

        //预分配
        InitAllocated = 1,

        //已分配
        Allocated = 2,


    }

    public enum Arm
    {
        SingleReadingArm = 0,

        DoubleReadingArm1 = 1,

        DoubleReadingArm2 = 2,

        JudgeArm = 3,

        TumorArm = 4,
    }

    /// <summary>
    /// 分配对象
    /// </summary>
    public enum TaskAllocateObj
    {
        Subject = 0,

        SubjectVisit = 1
    }

    //分配默认状态
    public enum TaskAllocateDefaultState
    {
        //默认值  看是否需要项目初始化时就给默认值 1 或者2 
        None = 0,

        //预分配
        InitAllocated = 1,

        //已分配
        Allocated = 2,
    }

    public enum ReadingMethod
    {
        Single = 1,

        Double = 2,

        Special = 3
    }

    public enum ReadingTaskViewMethod
    {
        //受试者
        Subject = 0,

        //访视/阅片期
        ReadingPeriodOrVisit = 2,

    }

    public enum TaskState
    {
        //有效
        Effect = 0,

        //未生效
        NotEffect = 1,

        // 裁判任务，没做，或者做了没签名  废弃
        Adbandon = 3,

        //重置  裁判任务做了，签名了   算工作量
        HaveReturned = 4
    }

    //阅片状态
    public enum ReadingTaskState
    {
        WaitReading = 0,

        Reading = 1,

        HaveSigned = 2,


    }

    //
    public enum RequestReReadingType
    {
        Default = 0,

        //IR 申请
        DocotorApply = 1,

        //PM 申请
        TrialGroupApply = 2
    }

    //重阅申请结果

    public enum RequestReReadingResult
    {
        Default = 0,

        Agree = 1,

        Reject = 2
    }

    public enum ReReadingApplyState
    {
        Default = 0,

        HaveApplyed = 1,

        Agree = 2,

        Reject = 3
    }


}
